<template>
  <div>
    <h2 id="page-heading" data-cy="PresionSanguineaHeading">
      <span v-text="$t('gatewayApp.manillaPresionSanguinea.home.title')" id="presion-sanguinea-heading">Presion Sanguineas</span>
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.manillaPresionSanguinea.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'PresionSanguineaCreate' }" custom v-slot="{ navigate }">
          <button
            @click="navigate"
            id="jh-create-entity"
            data-cy="entityCreateButton"
            class="btn btn-primary jh-create-entity create-presion-sanguinea"
          >
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.manillaPresionSanguinea.home.createLabel')"> Create a new Presion Sanguinea </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && presionSanguineas && presionSanguineas.length === 0">
      <span v-text="$t('gatewayApp.manillaPresionSanguinea.home.notFound')">No presionSanguineas found</span>
    </div>
    <div class="table-responsive" v-if="presionSanguineas && presionSanguineas.length > 0">
      <table class="table table-striped" aria-describedby="presionSanguineas">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('presionSanguineaSistolica')">
              <span v-text="$t('gatewayApp.manillaPresionSanguinea.presionSanguineaSistolica')">Presion Sanguinea Sistolica</span>
              <jhi-sort-indicator
                :current-order="propOrder"
                :reverse="reverse"
                :field-name="'presionSanguineaSistolica'"
              ></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('presionSanguineaDiastolica')">
              <span v-text="$t('gatewayApp.manillaPresionSanguinea.presionSanguineaDiastolica')">Presion Sanguinea Diastolica</span>
              <jhi-sort-indicator
                :current-order="propOrder"
                :reverse="reverse"
                :field-name="'presionSanguineaDiastolica'"
              ></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('fechaRegistro')">
              <span v-text="$t('gatewayApp.manillaPresionSanguinea.fechaRegistro')">Fecha Registro</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'fechaRegistro'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('user.login')">
              <span v-text="$t('gatewayApp.manillaPresionSanguinea.user')">User</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'user.login'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="presionSanguinea in presionSanguineas" :key="presionSanguinea.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'PresionSanguineaView', params: { presionSanguineaId: presionSanguinea.id } }">{{
                presionSanguinea.id
              }}</router-link>
            </td>
            <td>{{ presionSanguinea.presionSanguineaSistolica }}</td>
            <td>{{ presionSanguinea.presionSanguineaDiastolica }}</td>
            <td>{{ presionSanguinea.fechaRegistro ? $d(Date.parse(presionSanguinea.fechaRegistro), 'short') : '' }}</td>
            <td>
              {{ presionSanguinea.user ? presionSanguinea.user.login : '' }}
            </td>
            <td class="text-right">
              <div class="btn-group">
                <router-link
                  :to="{ name: 'PresionSanguineaView', params: { presionSanguineaId: presionSanguinea.id } }"
                  custom
                  v-slot="{ navigate }"
                >
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link
                  :to="{ name: 'PresionSanguineaEdit', params: { presionSanguineaId: presionSanguinea.id } }"
                  custom
                  v-slot="{ navigate }"
                >
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(presionSanguinea)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span
          id="gatewayApp.manillaPresionSanguinea.delete.question"
          data-cy="presionSanguineaDeleteDialogHeading"
          v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p id="jhi-delete-presionSanguinea-heading" v-text="$t('gatewayApp.manillaPresionSanguinea.delete.question', { id: removeId })">
          Are you sure you want to delete this Presion Sanguinea?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-presionSanguinea"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removePresionSanguinea()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./presion-sanguinea.component.ts"></script>
